package org.kne.cloud.network.srv6;

import java.io.EOFException;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ReadableByteChannel;
import java.nio.channels.WritableByteChannel;

public class PADNSegmentRoutingTLV extends IPv6SegmentRoutingTLV {
	public PADNSegmentRoutingTLV(ByteBuffer klalbHeader) {
		super(klalbHeader);
	}

	public PADNSegmentRoutingTLV(int dataLength) {
		super(IPv6SegmentRoutingTLV.PADN);
		getData().limit(dataLength);
	}
	
}
